using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmAddEmployeeOnProject : System.Web.UI.Page
{
    clsProject_Logic objProject=new clsProject_Logic();
    clsEmployee_Logic objEmp=new clsEmployee_Logic();
    private string strError = "No Data Available";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindProject();
            BindData();
        }
        string Msg = "Do you want to Add these Employees to this Project?";
        btnAddToProj.Attributes.Add("onClick", "return confirm('" + Msg + "');");
    }
    public void BindProject()
    {
        //From GetCurrentNerws() we can get All the project names which were not fixed the delivery date
        DataSet dsGetProject = objProject.GetCurrentNews();
        ddlProjectName.DataSource =dsGetProject.Tables[0];
        ddlProjectName.DataTextField = "ProjectName";
        ddlProjectName.DataValueField = "ProjectId";
        ddlProjectName.DataBind();
        ddlProjectName.Items.Insert(0, "Select");
    }

    void BindData()
    {
        try
        {
            //objEmp.e = txtCountryName.Text.Trim();
            objEmp.Sort_On = "";
            if (ViewState["Sort_On"] != null)
                objEmp.Sort_On = ViewState["Sort_On"].ToString() + " " + ViewState["Sort_By"].ToString();
            lblError.Visible = false;
            DataSet dsTemp = objEmp.GetFreeEmployee();
            DataTable dtTemp = dsTemp.Tables[0];
            if (dtTemp.Rows.Count > 0)
            {
                lblError.Visible = false;
                btnAddToProj.Visible = true;
            }
            else
            {
                lblError.Visible = true;
                lblError.Text = strError;
                btnAddToProj.Visible = false;
            }
            //if (this.txtPageSize.Text != "")
            //{
            //    if (System.Convert.ToInt32(this.txtPageSize.Text) > 0)
            //    {
            //        this.gvAddEmpOnProj.PageSize = System.Convert.ToInt32(this.txtPageSize.Text);
            //    }
            //}
            gvAddEmpOnProj.DataSource = dtTemp;
            gvAddEmpOnProj.DataBind();
            if (dtTemp.Rows.Count == 0)
            {
                this.Lbl_Pageinfo.Visible = false;
            }
            else
            {
                Int16 intTo;
                Int16 intFrom;
                if (gvAddEmpOnProj.PageSize * (gvAddEmpOnProj.PageIndex + 1) < dtTemp.Rows.Count)
                {
                    intTo = System.Convert.ToInt16(gvAddEmpOnProj.PageSize * (gvAddEmpOnProj.PageIndex + 1));
                }
                else
                {
                    intTo = System.Convert.ToInt16(dtTemp.Rows.Count);
                }
                intFrom = System.Convert.ToInt16((gvAddEmpOnProj.PageSize * gvAddEmpOnProj.PageIndex) + 1);
                this.Lbl_Pageinfo.Text = "Record(s) " + intFrom + " to " + intTo + " of " + dtTemp.Rows.Count;
                this.Lbl_Pageinfo.Visible = true;
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
            lblError.Visible = true;
        }
    }

    protected void btnAddToProj_Click(object sender, EventArgs e)
    {
        
        try
        {
            if (Request["Cbx_EmpId"] == null)
            {
                lblError.Text = "Please select at least one to delete.";
                lblError.Visible = true;
            }
            else
            {
                string s = Request["Cbx_EmpId"].ToString();
                objEmp.AddEmployeeOnProject(Request["Cbx_EmpId"].ToString(), Convert.ToInt32(ddlProjectName.SelectedItem.Value));
                //objEmp.DeleteCountry(Request["Cbx_EmpId"].ToString());
                lblError.Visible = false;
                BindData();
            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
            lblError.Visible = true;
        }
    }
    protected void gvAddEmpOnProj_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        /*
        if (ViewState["Sort_On"] != null)
            objCountry.Sort_On = ViewState["Sort_On"].ToString();
        else
            objCountry.Sort_On = "";
        gvCountry.PageIndex = e.NewPageIndex;
        BindData();
         * */
    }
    protected void gvAddEmpOnProj_Sorting(object sender, GridViewSortEventArgs e)
    {
        /*
        objCountry.Sort_On = e.SortExpression;
        ViewState["Sort_On"] = objCountry.Sort_On;
        if (ViewState["Sort_By"] == null)
            ViewState["Sort_By"] = "Asc";
        if (ViewState["Sort_By"].ToString() == "Asc")
        {
            ViewState["Sort_By"] = "Desc";
        }
        else
        {
            ViewState["Sort_By"] = "Asc";
        }

        BindData();
         * */
    }
}
