using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class Admin_frmAddSpecification : System.Web.UI.Page
{
    clsProjectSpecification_Logic objSpecification = new clsProjectSpecification_Logic();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindProjectId();
        }

    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        objSpecification.ProjectId = Convert.ToInt32(ddlProjectId.SelectedItem.Value);
        objSpecification.Announcements = txtAnnouncements.Text.Trim();

        if (fileuploadDoc.PostedFile.FileName != "")
        {
            string docType;
            int docSize;
            string docName;
            string Doc_Repository_FolderName;
            docType = fileuploadDoc.PostedFile.ContentType;
            if (docType == "application/msword" || docType == "text/plain" || docType == "application/pdf" || docType == "application/vnd.ms-excel" || docType == "application/x-xml" || docType == "application/vnd.ms-publisher" || docType == "application/vnd.ms-powerpoint")
            {
                docSize = fileuploadDoc.PostedFile.ContentLength;
                if (docSize > 1000000)
                {
                    lblError.Visible = true;
                    lblError.Text = "please upload a document of size below 1MB only";
                    return;
                }
                else
                {
                    docName = Path.GetFileName(fileuploadDoc.PostedFile.FileName);
                    objSpecification.SpecificationType= docName;
                    lblError.Visible = false;
                }
                Doc_Repository_FolderName = Server.MapPath("../" + ConfigurationManager.AppSettings["Document"]);
                if (!Directory.Exists(Doc_Repository_FolderName))
                {
                    Directory.CreateDirectory(Doc_Repository_FolderName);
                }
                fileuploadDoc.PostedFile.SaveAs(Doc_Repository_FolderName + docName);

            }
            else
            {
                lblError.Visible = true;
                lblError.Text = "Please upload a document of correct format(only *.pdf,*.doc,*.execl,*.powerpoint,*.xml are allowed)";
                return;
            }
        }
        else
        {
            lblError.Visible = true;
            lblError.Text = "Please upload a document";
            return;
        }
        objSpecification.AddSpecification();
        Response.Redirect("frmAdminHome.aspx");

    }
    void BindProjectId()
    {
        DataSet dsProjectId = objSpecification.GetProjectName();
        ddlProjectId.DataSource = dsProjectId.Tables[0];
        ddlProjectId.DataTextField = "ProjectName";
        ddlProjectId.DataValueField = "ProjectId";
        ddlProjectId.DataBind();
        ddlProjectId.Items.Insert(0, "Select");
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmAdminHome.aspx");
    }
}
