using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmFindUserList : System.Web.UI.Page
{
    clsUsers_Logic objUser = new clsUsers_Logic();
    private string strError = "No Data Available";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            this.txtPageSize.Text = "10";
            BindData();
        }
        string Msg = "Do you want to delete this data?";
        btnDelete.Attributes.Add("onClick", "return confirm('" + Msg + "');");
    }
    void BindData()
    {
        objUser.UserName = txtUserName.Text.Trim();
        //objCountry.pro_CountryName = txtCountryName.Text.Trim();
        objUser.Sort_On = "";
        if (ViewState["Sort_On"] != null)
            objUser.Sort_On = ViewState["Sort_On"].ToString() + " " + ViewState["Sort_By"].ToString();
        lblError.Visible = false;
        DataSet dsTemp = objUser.GetUsers();
        DataTable dtTemp = dsTemp.Tables[0];
        if (dtTemp.Rows.Count > 0)
        {
            lblError.Visible = false;
            btnDelete.Visible = true;
        }
        else
        {
            lblError.Visible = true;
            lblError.Text = strError;
            btnDelete.Visible = false;
        }
        if (this.txtPageSize.Text != "")
        {
            if (System.Convert.ToInt32(this.txtPageSize.Text) > 0)
            {
                this.gvUser.PageSize = System.Convert.ToInt32(this.txtPageSize.Text);
            }
        }
        gvUser.DataSource = dtTemp;
        gvUser.DataBind();
        if (dtTemp.Rows.Count == 0)
        {
            this.Lbl_Pageinfo.Visible = false;
        }
        else
        {
            Int16 intTo;
            Int16 intFrom;
            if (gvUser.PageSize * (gvUser.PageIndex + 1) < dtTemp.Rows.Count)
            {
                intTo = System.Convert.ToInt16(gvUser.PageSize * (gvUser.PageIndex + 1));
            }
            else
            {
                intTo = System.Convert.ToInt16(dtTemp.Rows.Count);
            }
            intFrom = System.Convert.ToInt16((gvUser.PageSize * gvUser.PageIndex) + 1);
            this.Lbl_Pageinfo.Text = "Record(s) " + intFrom + " to " + intTo + " of " + dtTemp.Rows.Count;
            this.Lbl_Pageinfo.Visible = true;
        }
    }
    protected void gvUser_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        if (ViewState["Sort_On"] != null)
            objUser.Sort_On = ViewState["Sort_On"].ToString();
        else
            objUser.Sort_On = "";
        gvUser.PageIndex = e.NewPageIndex;
        BindData();
    }
    protected void btnSearch_Click(object sender, EventArgs e)
    {
        strError = "No data matching with your searching criteria";
        gvUser.PageIndex = 0;
        BindData();
    }
    protected void btnadd_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmAddUser.aspx");
    }
    protected void btndelete_Click(object sender, EventArgs e)
    {
        if (Request["Cbx_UserId"] == null)
        {
            lblError.Text = "Please select at least one to delete.";
            lblError.Visible = true;
        }
        else
        {
            Boolean b= objUser.DeleteUserDetails(Request["Cbx_UserId"].ToString());
            if (b)
            {
                lblError.Visible = false;
                BindData();
            }
        }
    }
    protected void gvUser_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        if (e.CommandName.ToUpper() == "UPDATE")
        {
            Response.Redirect("frmUpdateUser.aspx?Id=" + e.CommandArgument.ToString());
        }
    }
    protected void gvUser_Sorting(object sender, GridViewSortEventArgs e)
    {
        objUser.Sort_On = e.SortExpression;
        ViewState["Sort_On"] = objUser.Sort_On;
        if (ViewState["Sort_By"] == null)
            ViewState["Sort_By"] = "Asc";
        if (ViewState["Sort_By"].ToString() == "Asc")
        {
            ViewState["Sort_By"] = "Desc";
        }
        else
        {
            ViewState["Sort_By"] = "Asc";
        }

        BindData();
    }
}
