using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmManageProjectType : System.Web.UI.Page
{
    clsProjectType_Logic objProjectType = new clsProjectType_Logic();
    private string strError = "No Data Available";
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["AdminId"] == null)
        {
            Response.Redirect("frmAdminLogin.aspx");
        }
        else
        {
        }
        if (!Page.IsPostBack)
        {
            this.txtPageSize.Text = "10";
            BindData();
            string Msg = "Do you want to delete this data?";
            btnDelete.Attributes.Add("onClick", "return confirm('" + Msg + "');");
        }
    }


    private void BindData()
    {
        objProjectType.ProjectTypeName = txtUserTypeName.Text.Trim();
        objProjectType.Sort_On = "";
        if (ViewState["Sort_On"] != null)
            objProjectType.Sort_On = ViewState["Sort_On"].ToString() + " " + ViewState["Sort_By"].ToString();
        lblError.Visible = false;
        DataSet dsTemp = objProjectType.GetProjectType();
        DataTable dtTemp = dsTemp.Tables[0];
        if (dtTemp.Rows.Count > 0)
        {
            lblError.Visible = false;
            btnDelete.Visible = true;
        }
        else
        {
            lblError.Visible = true;
            lblError.Text = strError;
            btnDelete.Visible = false;
        }
        if (this.txtPageSize.Text != "")
        {
            if (System.Convert.ToInt32(this.txtPageSize.Text) > 0)
            {
                this.gvProjectType.PageSize = System.Convert.ToInt32(this.txtPageSize.Text);
            }
        }
        gvProjectType.DataSource = dtTemp;
        gvProjectType.DataBind();
        if (dtTemp.Rows.Count == 0)
        {
            this.Lbl_Pageinfo.Visible = false;
        }
        else
        {
            Int16 intTo;
            Int16 intFrom;
            if (gvProjectType.PageSize * (gvProjectType.PageIndex + 1) < dtTemp.Rows.Count)
            {
                intTo = System.Convert.ToInt16(gvProjectType.PageSize * (gvProjectType.PageIndex + 1));
            }
            else
            {
                intTo = System.Convert.ToInt16(dtTemp.Rows.Count);
            }
            intFrom = System.Convert.ToInt16((gvProjectType.PageSize * gvProjectType.PageIndex) + 1);
            this.Lbl_Pageinfo.Text = "Record(s) " + intFrom + " to " + intTo + " of " + dtTemp.Rows.Count;
            this.Lbl_Pageinfo.Visible = true;
        }
    }
    protected void btnSearch_Click(object sender, EventArgs e)
    {
        strError = "No data matching with your searching criteria";
        gvProjectType.PageIndex = 0;
        BindData(); 
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmAddProjectType.aspx");
    }
    protected void btnDelete_Click(object sender, EventArgs e)
    {

        try
        {
            if (Request["Cbx_ProjectTypeId"] == null)
            {
                lblError.Text = "Please select at least one to delete.";
                lblError.Visible = true;
            }
            else
            {
                objProjectType.DeleteProjectType(Request["Cbx_ProjectTypeId"].ToString());
                lblError.Visible = false;
                BindData();

            }
        }
        catch (Exception ex)
        {
            lblError.Text = ex.Message;
            lblError.Visible = true;
        }

    }
    protected void gvProjectType_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        if (ViewState["Sort_On"] != null)
            objProjectType.Sort_On = ViewState["Sort_On"].ToString();
        else
            objProjectType.Sort_On = "";
        gvProjectType.PageIndex = e.NewPageIndex;
        BindData();
    }
    protected void gvProjectType_RowCommand(object sender, GridViewCommandEventArgs e)
    {

    }
    protected void gvProjectType_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void gvProjectType_Sorting(object sender, GridViewSortEventArgs e)
    {
        objProjectType.Sort_On = e.SortExpression;
        ViewState["Sort_On"] = objProjectType.Sort_On;
        if (ViewState["Sort_By"] == null)
            ViewState["Sort_By"] = "Asc";
        if (ViewState["Sort_By"].ToString() == "Asc")
        {
            ViewState["Sort_By"] = "Desc";
        }
        else
        {
            ViewState["Sort_By"] = "Asc";
        }

        BindData();
    }
}
