using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmReports : System.Web.UI.Page
{
    clsEmployee_Logic objEmployee = new clsEmployee_Logic();
    clsEmpProjReport_Logic objProjReport = new clsEmpProjReport_Logic();
    private string strError = "No Data Available";
    float t, h, A;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.txtPageSize.Text = "10";

            BindEmployee();
            BindData();
        }
        string Msg = "Do you want to delete this data?";
        // btnDelete.Attributes.Add("onClick", "return confirm('" + Msg + "');");

        GMDPFromDate.Attributes.Add("readonly", "readonly()");
        GMDPToDate.Attributes.Add("readonly", "readonly()");
        GMDPFromDate.MaxDate = System.DateTime.Now;
        GMDPToDate.MaxDate = System.DateTime.Now;

    }
    void BindEmployee()
    {
        DataSet dsEmployee = objEmployee.GetEmployee();
        ddlEmpName.DataSource = dsEmployee.Tables[0];
        ddlEmpName.DataTextField = "EmpLoginId";
        ddlEmpName.DataValueField = "EmpId";
        ddlEmpName.DataBind();
        ddlEmpName.Items.Insert(0, "Select");
    }


    void BindData()
    {
        if (ddlEmpName.SelectedItem.Text != "Select")
        {
            objProjReport.EmpLoginId = ddlEmpName.SelectedItem.Text;
        }
        if (GMDPFromDate.DateString != "")
        {
            objProjReport.FromDate = GMDPFromDate.DateString;
        }
        if (GMDPToDate.DateString != "")
        {
            objProjReport.ToDate = GMDPToDate.DateString;
        }
        //objCountry.pro_CountryName = txtCountryName.Text.Trim();
        objProjReport.Sort_On = "";
        if (ViewState["Sort_On"] != null)
            objProjReport.Sort_On = ViewState["Sort_On"].ToString() + " " + ViewState["Sort_By"].ToString();
        lblError.Visible = false;
        DataSet dsTemp = objProjReport.GetProjectReports();
        DataTable dtTemp = dsTemp.Tables[0];
        if (dtTemp.Rows.Count > 0)
        {
            lblError.Visible = false;
            //btnDelete.Visible = true;
        }
        else
        {
            lblError.Visible = true;
            lblError.Text = strError;
            // btnDelete.Visible = false;
        }
        if (this.txtPageSize.Text != "")
        {
            if (System.Convert.ToInt32(this.txtPageSize.Text) > 0)
            {
                this.gvReports.PageSize = System.Convert.ToInt32(this.txtPageSize.Text);
            }
        }
        gvReports.DataSource = dtTemp;
        gvReports.DataBind();
        if (dtTemp.Rows.Count == 0)
        {
            this.Lbl_Pageinfo.Visible = false;
        }
        else
        {
            Int16 intTo;
            Int16 intFrom;
            if (gvReports.PageSize * (gvReports.PageIndex + 1) < dtTemp.Rows.Count)
            {
                intTo = System.Convert.ToInt16(gvReports.PageSize * (gvReports.PageIndex + 1));
            }
            else
            {
                intTo = System.Convert.ToInt16(dtTemp.Rows.Count);
            }
            intFrom = System.Convert.ToInt16((gvReports.PageSize * gvReports.PageIndex) + 1);
            this.Lbl_Pageinfo.Text = "Record(s) " + intFrom + " to " + intTo + " of " + dtTemp.Rows.Count;
            this.Lbl_Pageinfo.Visible = true;
        }

        for (int i = 0; i < gvReports.Rows.Count; i++)
        {
            Label lnoOfTasks, lworkingHours, lratePerHour;
            lnoOfTasks = (Label)gvReports.Rows[i].FindControl("lblCompletedTasksPerDay");
            lworkingHours = (Label)gvReports.Rows[i].FindControl("lblWorkingHours");
            lratePerHour = (Label)gvReports.Rows[i].FindControl("lblRatePerHour");
            t = Convert.ToInt32(lnoOfTasks.Text);
            h = Convert.ToInt32(lworkingHours.Text);
            if (h > 0)
            {
                //lratePerHour = (int)lnoOfTasks / (int)lworkingHours;
                A = t / h;
                lratePerHour.Text = A.ToString();
            }
            else
            {
                lratePerHour.Text = "Not Worked";
            }
        }
    }



    protected void btnSearch_Click(object sender, EventArgs e)
    {
        if (GMDPFromDate.DateString != "" && GMDPToDate.DateString != "")
        {
            if (GMDPFromDate.Date > GMDPToDate.Date)
            {
                lblError.Text = "To Date must be greater than From date";
                lblError.Visible = true;
                return;
            }
        }


        strError = "No data matching with your searching criteria";
        gvReports.PageIndex = 0;
        BindData();
    }
    protected void gvReports_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        if (ViewState["Sort_On"] != null)
            objProjReport.Sort_On = ViewState["Sort_On"].ToString();
        else
            objProjReport.Sort_On = "";
        gvReports.PageIndex = e.NewPageIndex;
        BindData();
    }
    protected void gvReports_Sorting(object sender, GridViewSortEventArgs e)
    {
        objProjReport.Sort_On = e.SortExpression;
        ViewState["Sort_On"] = objProjReport.Sort_On;
        if (ViewState["Sort_By"] == null)
            ViewState["Sort_By"] = "Asc";
        if (ViewState["Sort_By"].ToString() == "Asc")
        {
            ViewState["Sort_By"] = "Desc";
        }
        else
        {
            ViewState["Sort_By"] = "Asc";
        }

        BindData();
    }
}
