using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;

public partial class Admin_frmUpdateProject : System.Web.UI.Page
{
    clsProject_Logic objProject = new clsProject_Logic();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["Id"] != null)
        {
            ViewState["Id"] = Request["Id"].ToString();
        }
        if (!IsPostBack)
        {
            
            BindStatus();
            BindProjectType();
            BindClientName();
            BindData();
        }
        GMDStartingDate.Attributes.Add("readonly", "readonly()");
        GMDEndingDate.Attributes.Add("readonly", "readonly()");
        GMDTakenDate.Attributes.Add("readonly", "readonly()");
        GMDDeliveryDate.Attributes.Add("readonly", "readonly()");

    }
    public void BindData()
    {
        objProject.ProjectId = Convert.ToInt32(ViewState["Id"].ToString());
        objProject.GetProjectDetails();
        txtProjectName.Text = objProject.ProjectName;
        GMDStartingDate.DateString= objProject.GMStartDate;
        GMDEndingDate.DateString = objProject.GMEndDate;
        GMDTakenDate.DateString = objProject.GMTakenDate;
        if (objProject.GMDeliveryDate != "")
        {
            
            GMDDeliveryDate.Visible = true;
            lnkBtnDeliveryDate.Visible = false;
        }
        GMDDeliveryDate.DateString = objProject.GMDeliveryDate;
        txtTotalTasks.Text = objProject.TotalTasks.ToString();
        txtCompletedTasks.Text = objProject.CompletedTasks.ToString();
       // ddlProjectType.SelectedItem.Value = objProject.ProjectTypeId.ToString();
       // ddlClient.SelectedItem.Value = objProject.ClientId.ToString();
       // ddlStatus.SelectedItem.Value = objProject.StatusId.ToString();


        int StatusIndex = ddlStatus.Items.IndexOf(ddlStatus.Items.FindByValue(objProject.StatusId.ToString()));
        if (StatusIndex >= 0)
            ddlStatus.Items[StatusIndex].Selected = true;
        
        int TypeIndex = ddlProjectType.Items.IndexOf(ddlProjectType.Items.FindByValue(objProject.ProjectTypeId.ToString()));
        if (TypeIndex >= 0)
            ddlProjectType.Items[TypeIndex].Selected = true;
        
        int ClientIndex = ddlClient.Items.IndexOf(ddlClient.Items.FindByValue(objProject.ClientId.ToString()));
        if (ClientIndex >= 0)
            ddlClient.Items[ClientIndex].Selected = true;

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        objProject.ProjectId=Convert.ToInt32(ViewState["Id"].ToString());
        objProject.ProjectName = txtProjectName.Text.Trim();
        objProject.GMStartDate = GMDStartingDate.DateString;
        objProject.GMEndDate =  GMDEndingDate.DateString;
        objProject.GMTakenDate = GMDTakenDate.DateString;
        objProject.GMDeliveryDate = GMDDeliveryDate.DateString;
        objProject.ProjectTypeId = Convert.ToInt32(ddlProjectType.SelectedItem.Value);
        objProject.ClientId = Convert.ToInt32(ddlClient.SelectedItem.Value);
        objProject.StatusId = Convert.ToInt32(ddlStatus.SelectedItem.Value);
        objProject.TotalTasks = Convert.ToInt32(txtTotalTasks.Text);
        objProject.CompletedTasks = Convert.ToInt32(txtCompletedTasks.Text);
        objProject.UpdateProject();
        Response.Redirect("frmManageProject.aspx");
    }
    protected void btnBack_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmManageProject.aspx");
    }

    public void BindStatus()
    {
        DataSet dsStatus = objProject.GetStatusName();
        ddlStatus.DataSource = dsStatus.Tables[0];
        ddlStatus.DataTextField = "StatusName";
        ddlStatus.DataValueField = "StatusId";
        ddlStatus.DataBind();
        ddlStatus.Items.Insert(0, "Select");
    }
    public void BindProjectType()
    {
        DataSet dsProjectType = objProject.GetProjectTypeName();
        ddlProjectType.DataSource = dsProjectType.Tables[0];
        ddlProjectType.DataTextField = "ProjectTypeName";
        ddlProjectType.DataValueField = "ProjectTypeId";
        ddlProjectType.DataBind();
        ddlProjectType.Items.Insert(0, "Select");
    }
    public void BindClientName()
    {
        DataSet dsClient = objProject.GetClient();
        ddlClient.DataSource = dsClient.Tables[0];
        ddlClient.DataTextField = "ClientLoginId";
        ddlClient.DataValueField = "ClientId";
        ddlClient.DataBind();
        ddlClient.Items.Insert(0, "Select");
    }
    protected void lnkBtnDeliveryDate_Click(object sender, EventArgs e)
    {
        GMDDeliveryDate.Visible = true;
        lnkBtnDeliveryDate.Visible = false;
    }
}
