using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmUpdateUser : System.Web.UI.Page
{
    clsCommon_Logic objCommon = new clsCommon_Logic();
    clsUsers_Logic objUser = new clsUsers_Logic();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request["Id"] != null)
        {
            ViewState["Id"] = Request["Id"].ToString();
        } 
        
        if (!IsPostBack)
        {
            BindCity();
            BindCountry();
            BindState();
            BindStatus();
            BindData();
        }
    }
    public void BindCountry()
    {
        DataSet dsCountry = objCommon.GetCountryName();
        ddlCountry.DataSource = dsCountry.Tables[0];
        ddlCountry.DataTextField = "CountryName";
        ddlCountry.DataValueField = "CountryId";
        ddlCountry.DataBind();
        ddlCountry.Items.Insert(0, "Select");
    }
    public void BindState()
    {
        DataSet dsState = objCommon.GetStateName();
        ddlState.DataSource = dsState.Tables[0];
        ddlState.DataTextField = "StateName";
        ddlState.DataValueField = "StateId";
        ddlState.DataBind();
        ddlState.Items.Insert(0, "Select");
    }
    public void BindCity()
    {
        DataSet dsCity = objCommon.GetCityName();
        ddlCity.DataSource = dsCity.Tables[0];
        ddlCity.DataTextField = "CityName";
        ddlCity.DataValueField = "CityId";
        ddlCity.DataBind();
        ddlCity.Items.Insert(0, "Select");
    }
    public void BindStatus()
    {
        DataSet dsStatus = objCommon.GetStatusName();
        ddlStatus.DataSource = dsStatus.Tables[0];
        ddlStatus.DataTextField = "StatusName";
        ddlStatus.DataValueField = "StatusId";
        ddlStatus.DataBind();
        ddlStatus.Items.Insert(0, "Select");
    }
    void BindData()
    {
        objUser.UserId = Convert.ToInt32(ViewState["Id"].ToString());
        objUser.GetUserDetails();
        
        //txtPassword.Text = objUser.Password;
        txtLoginId.Text = objUser.UserName;
        txtContactNo.Text = objUser.ContactNo;
        txtAddress.Text = objUser.Address;
        txtEmailId.Text = objUser.EmailId;

        int StatusIndex = ddlStatus.Items.IndexOf(ddlStatus.Items.FindByValue(objUser.StatusId.ToString()));
        if (StatusIndex >= 0)
            ddlStatus.Items[StatusIndex].Selected = true;
        int CountryIndex = ddlCountry.Items.IndexOf(ddlCountry.Items.FindByValue(objUser.CountryId.ToString()));
        if (CountryIndex >= 0)
            ddlCountry.Items[CountryIndex].Selected = true;

        int StateIndex = ddlState.Items.IndexOf(ddlState.Items.FindByValue(objUser.StateId.ToString()));
        if (StateIndex >= 0)
            ddlState.Items[StateIndex].Selected = true;

        int CityIndex = ddlCity.Items.IndexOf(ddlCity.Items.FindByValue(objUser.CityId.ToString()));
        if (CityIndex >= 0)
            ddlCity.Items[CityIndex].Selected = true;

    }

    protected void btnBack_Click(object sender, EventArgs e)
    {
        Response.Redirect("frmFindUserList.aspx");
    }
    protected void ddlCountry_SelectedIndexChanged1(object sender, EventArgs e)
    {
        objCommon.pro_CountryId = Convert.ToInt32(ddlCountry.SelectedItem.Value);
        BindState();
    }
    protected void ddlState_SelectedIndexChanged1(object sender, EventArgs e)
    {
        objCommon.pro_StateId = Convert.ToInt32(ddlState.SelectedItem.Value);
        BindCity();
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        objUser.UserId =Convert.ToInt32( ViewState["Id"].ToString());
        objUser.EmailId = txtEmailId.Text.Trim();
        objUser.ContactNo = txtContactNo.Text.Trim();
        objUser.Address = txtAddress.Text.Trim();
        objUser.CountryId = Convert.ToInt32(ddlCountry.SelectedItem.Value);
        objUser.StateId = Convert.ToInt32(ddlState.SelectedItem.Value);
        objUser.CityId = Convert.ToInt32(ddlCity.SelectedItem.Value);
        objUser.StatusId = Convert.ToInt32(ddlStatus.SelectedItem.Value);

        objUser.UpdateUserDetails();
        Response.Redirect("frmFindUserList.aspx");
    }
}
