using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.ApplicationBlocks.Data;
using System.Data.SqlClient;

/// <summary>
/// Summary description for clsProject_Logic
/// </summary>
public class clsProject_Logic
{
    int _ProjectId,_ProjectTypeId,_ClientId, _StatusId, _TotalTasks, _CompletedTasks;
    string _ProjectName, _ClientName;
    string  _GMStartDate, _GMEndDate, _GMTakenDate, _GMDeliveryDate;
    public string Sort_On;

    public int TotalTasks
    {
        get { return _TotalTasks; }
        set { _TotalTasks = value; }
    }
    public int CompletedTasks
    {
        get { return _CompletedTasks; }
        set { _CompletedTasks = value; }
    }
    public int ProjectId
    {
        get { return _ProjectId; }
        set { _ProjectId = value; }
    }
    public int ProjectTypeId
    {
        get { return _ProjectTypeId; }
        set { _ProjectTypeId = value; }
    }
    public int ClientId
    {
        get { return _ClientId; }
        set { _ClientId = value; }
    }
    public int StatusId
    {
        get { return _StatusId; }
        set { _StatusId = value; }
    }
    
    public string ProjectName
    {
        get { return _ProjectName; }
        set { _ProjectName = value; }
    }
    public string ClientName
    {
        get { return _ClientName; }
        set { _ClientName = value; }
    }
    public string GMStartDate
    {
        get { return _GMStartDate; }
        set { _GMStartDate = value; }
    }
    public string GMEndDate
    {
        get { return _GMEndDate; }
        set { _GMEndDate = value; }
    }
    public string GMTakenDate
    {
        get { return _GMTakenDate; }
        set { _GMTakenDate = value; }
    }
    public string GMDeliveryDate
    {
        get { return _GMDeliveryDate; }
        set { _GMDeliveryDate = value; }
    }
    public clsProject_Logic()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    public DataSet GetProject()
    {
        string strSql = string.Empty;
        strSql = "select * from tbl_ProjectDetails p,tbl_ProjectType pt, tbl_Status stat where p.StatusId=stat.StatusId and pt.ProjectTypeId=p.ProjectTypeId ";
        if (!string.IsNullOrEmpty(_ProjectName))
            strSql += " and ProjectName like '%" + _ProjectName + "%'";
        if (!string.IsNullOrEmpty(Sort_On))
        {
            strSql = strSql + " ORDER BY " + Sort_On;
        }
        else
        {
            strSql = strSql + " Order By ProjectName";
        }
        DataSet dsTemp;
        dsTemp = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.Text, strSql);
        return dsTemp;
    }
    public void GetProjectDetails()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@ProjectId", SqlDbType.Int);
        p[0].Value = _ProjectId;

        DataSet ds = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spGetProjectDetails", p);
        DataRowCollection drc = ds.Tables[0].Rows;
        if (drc.Count > 0)
        {
            _ProjectName = drc[0]["ProjectName"].ToString();
            _GMStartDate = drc[0]["StartingDate"].ToString();
            _GMEndDate = drc[0]["EndingDate"].ToString();
            _GMTakenDate = drc[0]["ProjectTakenDate"].ToString();
            if (drc[0]["DeliveryDate"].ToString() != "")
                _GMDeliveryDate = (drc[0]["DeliveryDate"].ToString());
            else
                _GMDeliveryDate = "";
            _ProjectTypeId = Convert.ToInt32(drc[0]["ProjectTypeId"].ToString());
            _ClientId = Convert.ToInt32(drc[0]["ClientId"].ToString());
            _StatusId = Convert.ToInt32(drc[0]["StatusId"].ToString());
            _CompletedTasks = Convert.ToInt32(drc[0]["CompletedTasks"].ToString());
            _TotalTasks = Convert.ToInt32(drc[0]["TotalTasks"].ToString());
        }
        else
        {
            _ProjectName = "";
            //_GMStartDate = "";
            //_GMEndDate = "";
            //_GMTakenDate = "";
            //_GMDeliveryDate = "";
        }
    }
    public void AddProject()
    {
        SqlParameter[] p = new SqlParameter[9];
        p[0] = new SqlParameter("@ProjectName", SqlDbType.VarChar);
        p[0].Value = _ProjectName;
        p[1] = new SqlParameter("@StartingDate", SqlDbType.DateTime);
        p[1].Value = Convert.ToDateTime(_GMStartDate);
        p[2] = new SqlParameter("@EndingDate", SqlDbType.DateTime);
        p[2].Value = Convert.ToDateTime(_GMEndDate);
        p[3] = new SqlParameter("@ProjectTakenDate", SqlDbType.DateTime);
        p[3].Value = Convert.ToDateTime(_GMTakenDate);
        //p[4] = new SqlParameter("@DeliveryDate", SqlDbType.DateTime);
        //p[4].Value = _GMDeliveryDate;
        p[4] = new SqlParameter("@ClientId", SqlDbType.Int);
        p[4].Value = _ClientId;
        p[5] = new SqlParameter("@StatusId", SqlDbType.Int);
        p[5].Value = _StatusId;
        p[6] = new SqlParameter("@ProjectTypeId", SqlDbType.Int);
        p[6].Value = _ProjectTypeId;
        p[7] = new SqlParameter("@TotalTasks", SqlDbType.Int);
        p[7].Value = _TotalTasks;
        p[8] = new SqlParameter("@CompletedTasks", SqlDbType.Int);
        p[8].Value = _CompletedTasks;
      
        SqlHelper.ExecuteNonQuery(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spAddProject", p);
    }
    public void UpdateProject()
    {
        SqlParameter[] p = new SqlParameter[11];
        p[0] = new SqlParameter("@ProjectName", SqlDbType.VarChar);
        p[0].Value = _ProjectName;
        p[1] = new SqlParameter("@StartDate", SqlDbType.DateTime);
        p[1].Value = Convert.ToDateTime(_GMStartDate);
        p[2] = new SqlParameter("@EndDate", SqlDbType.DateTime);
        p[2].Value = Convert.ToDateTime(_GMEndDate);
        p[3] = new SqlParameter("@TakenDate", SqlDbType.DateTime);        
        p[3].Value = Convert.ToDateTime(_GMTakenDate);

        p[4] = new SqlParameter("@DeliveryDate", SqlDbType.DateTime);
        if (_GMDeliveryDate != "")
            p[4].Value = Convert.ToDateTime(_GMDeliveryDate);
        else
        {
            p[4].Value = Convert.ToDateTime("1 / 1 / 1753");   // Convert.ToDateTime("1 / 1 / 1");
            //p[4].Value = null;
        }
        p[5] = new SqlParameter("@ClientId", SqlDbType.Int);
        p[5].Value = _ClientId;
        p[6] = new SqlParameter("@StatusId", SqlDbType.Int);
        p[6].Value = _StatusId;
        p[7] = new SqlParameter("@ProjectTypeId", SqlDbType.Int);
        p[7].Value = _ProjectTypeId;
        p[8] = new SqlParameter("@ProjectId", SqlDbType.Int);
        p[8].Value = _ProjectId;
        p[9] = new SqlParameter("@TotalTasks", SqlDbType.Int);
        p[9].Value = _TotalTasks;
        p[10] = new SqlParameter("@CompletedTasks", SqlDbType.Int);
        p[10].Value = _CompletedTasks;
      
        SqlHelper.ExecuteNonQuery(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spUpdateProjects", p);
    
    }
    public DataSet GetStatusName()
    {
        string strSql = string.Empty;
        strSql += "select StatusName,StatusId from tbl_Status";
        DataSet dsTemp;
        dsTemp = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.Text, strSql);
        return dsTemp;
    }
     public DataSet GetClient()
      {
          string strSql = string.Empty;
          strSql = "select * from tbl_ClientDetails c,tbl_ClientLoginAccount cl, tbl_Status stat where c.StatusId=stat.StatusId and cl.ClientId=c.ClientId ";
          if (!string.IsNullOrEmpty(_ClientName))
              strSql += " and ClientLoginId like '%" + _ClientName + "%'";
          if (!string.IsNullOrEmpty(Sort_On))
          {
              strSql = strSql + " ORDER BY " + Sort_On;
          }
          else
          {
              strSql = strSql + " Order By ClientLoginId";
          }
          DataSet dsTemp;
          dsTemp = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.Text, strSql);
          return dsTemp;
      }
    public DataSet GetProjectTypeName()
    {
        string strSql = string.Empty;
        strSql += "select ProjectTypeName,ProjectTypeId from tbl_ProjectType";
        DataSet dsTemp;
        dsTemp = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.Text, strSql);
        return dsTemp;
    }


    public DataSet GetExpNews()
    {
        DataSet ds = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spExpNewsOnProj");
        return ds;
    }

    public DataSet GetCurrentNews()
    {
        DataSet ds = SqlHelper.ExecuteDataset(ClsConnectionString.getConnectionString(), CommandType.StoredProcedure, "spCurNewOnProj");
        return ds;
    }
}
