using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Employee_frmProjectReport : System.Web.UI.Page
{
    int ProjId;
    clsEmpProjReport_Logic objReport = new clsEmpProjReport_Logic();
    clsProjectSpecification_Logic objSpecifc = new clsProjectSpecification_Logic();

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            try
            {
                objSpecifc.EmpId = Convert.ToInt32(Session["EmpId"].ToString());
                ProjId = objSpecifc.GetProjectId();
                ViewState["ProjId"] = ProjId;
                if (ProjId == 0)
                {
                    lblError.Text = "Sorry You were not assigned to any project.So your project status is Invalid";
                    lblError.Visible = true;
                    txtCompletedTask.Visible = false;
                    GMDReport.Visible = false;
                    btnSubmit.Visible = false;
                }
            }
            catch (Exception ex)
            {
                lblError.Text = ex.Message;
                lblError.Visible = true;
            }
        }

        GMDReport.Attributes.Add("readonly", "readOnly()");
        GMDReport.MaxDate = System.DateTime.Now;
    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        try
        {
            objReport.ProjectId = Convert.ToInt32(ViewState["ProjId"].ToString());
            objReport.CompletedTasksPerDay = Convert.ToInt32(txtCompletedTasksPerDay.Text);
            int i = objReport.CheckTotalTasks();
            if (i == 1)
            {
                objReport.EmpId = Convert.ToInt32(Session["EmpId"].ToString());
                objReport.ProjectId = Convert.ToInt32(ViewState["ProjId"].ToString());
                objReport.CompletedTask = txtCompletedTask.Text.Trim();
                objReport.ReportingDate = GMDReport.DateString;
                objReport.CompletedTasksPerDay = Convert.ToInt32(txtCompletedTasksPerDay.Text);
                objReport.WorkingHours = Convert.ToInt32(txtWorkingHours.Text);
                objReport.AddProjReports();
                Response.Redirect("frmEmployeeHome.aspx");
            }
            else if (i == -1)
            {
                lblError.Visible = true;
                lblError.Text = "Invalid No Of Task.This is more than Total completed tasks";
            }
        }
        catch(Exception ex)
        {
            lblError.Visible = true;
            lblError.Text = ex.Message;
        }
    }
}
